using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal class lumpinfo_t
	{
		public int filepos;

		public int disksize;

		public int size;

		public byte type;

		public byte compression;

		private byte pad1;

		private byte pad2;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 16)]
		public byte[] name;
	}
}
